import PhenarisLogger
log = PhenarisLogger.PhenarisQueryLogger('PhenarisQuery.log')

def getSDFileTextFromUrl(url):
    """
        Requests the SDF file from the URL
        @param: url: The URL to be accessed.
        @returns: The data returned from the request, or None if the request fails.
        """
    try:
        sdf = open(url).read()
    except Exception as e:
        log.log("Error while loading sdf file: " + str(e))
        raise Exception("Error while loading sdf file: " + str(e))
    return sdf
