""" Manger to store token for authentication and authorization in the Transportermodel application"""


class TokenManager():

    def __init__(self, token, refresh_token):
        """
        Create a TokenManger.

        :param token: Token to authenticate and authorize to Transportermodel application
        :param valid_token: Whether token is valid or not
        """
        self._token = token
        self._refresh_token = refresh_token

    def getToken(self):
        return self._token

    def setToken(self, token):
        self._token = token

    def getRefreshToken(self):
        return self._refresh_token

    def setRefreshToken(self, token):
        self._refresh_token = token

    def updateToken(self, token):
        self._token = token